# QLBR

Charm Author:

- Max Brustkern <max@canonical.com>

# Usage

QLBR aggregates bug reports from Launchpad.  As such, the minimal require configuration is a valid INI-style config file, as produced by launchpadlib and understood by python's configparser library.  The full contents of this file (including newlines) should be in the configuration file as the 'credentials' option.  All other options are optional.

Postgresql is currently the only supported database.  A subordinate charm is required to run the actual server.  The only charm tested is gunicorn, but another server that accepts the wsgi-file relation may work.  An internal memcached instance is used by default, but the memcache relation can be used as well.

# Example Deployment

	juju bootstrap
	juju deploy postgresql
	juju deploy qlbr
	juju deploy gunicorn
	juju deploy memcached
	juju add-relation qlbr postgresql:db
	juju add-relation qlbr gunicorn
	juju add-relation qlbr memcached
	juju expose qlbr

Apache or another server can be connected in front of gunicorn.  The default port is 8080.
